<form onsubmit="return validateFile()" method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_news_edit' slug=slug %}"
    {% else %}
        action="{% url 'profile:admin_news_create' %}"
    {% endif %}>

   
    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="{{ form.slug.name }}" id="{{ form.slug.id_for_label }}" value="{{ form.slug.value|stringformat:'s' }}">
    {% endif %}

    <div class="form-group">
        <label for="foto">Thumbnail Berita</label>
        <input type="file" placeholder="Masukkan thumbnail berita..."
            class="form-control"
            name="foto"
            id="foto" 
            accept="image/png, image/jpeg, image/webp"
            {% if not edit %}required{% endif %} >
        <small id="passwordHelpBlock" class="form-text text-muted">
            {% if edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
        </small>
    </div>

    <script>
          function validateFile() {
            var fileInput = document.getElementById('foto');
            var filePath = fileInput.value;
            var allowedExtensions = /(\.png|\.jpeg|\.webp|\.jpg)$/i;

            if (filePath === '') {
                // alert('Mohon pilih file thumbnail berita.');
                return true;
            }

            if (!allowedExtensions.exec(filePath)) {
                alert('Tipe file tidak diizinkan. Harap pilih file dengan ekstensi PNG, JPEG, atau WebP.');
                fileInput.value = '';
                return false;
            }
            return true;
        }
    </script>
   
    <div class="form-group">
        <label for="judul">Judul Berita</label>
        <input type="text" placeholder="Masukkan judul berita..."
            class="form-control"
            name="judul"
            id="judul"
            value="{{news.title}}">
    </div>

    <div class="form-row">
        <div class="form-group col">
            <label for="kategori">Kategori Berita</label>
            <select 
                class="form-control" 
                name="kategori">
                <!-- {% if news.category %}
                    <option value="{{news.category.id}}">{{news.category}}</option>
                {% else %}
                    <option value="">-- Kategori Berita --</option>
                {% endif %} -->
                {% for dt in kategori %}
                    <option value="{{ dt.id }}" {% if dt.id == news.category.id %} selected {%endif%}>
                        {{ dt.nama }}
                    </option>
                {% endfor %}
            </select>
        </div>
    </div>
   
    <div class="form-group">
        <label for="title">Deskripsi</label>
        <textarea name="description" id="description" style="width: 100%; height: 100px;">
            {{news.content}}
        </textarea>
    </div>
    
    <div class="form-group">
        <label for="tag">Tags Berita</label>
        <input type="text" placeholder="Masukkan tags berita..."
            class="form-control"
            name="tag"
            value="{{news.tags}}">
        <small id="passwordHelpBlock" class="form-text text-muted">
            Tags dipisahkan dengan "," (koma). <strong>Contoh: Paket, Wisata, YogyaExplore</strong>.
        </small>
    </div>
    
    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
</form>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.ckeditor.com/4.16.1/standard/ckeditor.js"></script>
<script>
    CKEDITOR.replace('description');
    
</script>